Bug 1942 - [UPDATE REQUEST]poppler 0.22.2
: [UPDATE REQUEST]poppler 0.22.2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-20 21:36 MSD by Denis Silakov
Modified: 2013-05-13 11:45 MSD (History)
3 users (show)

See Also:
RPM Package: poppler
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
error (245.22 KB, image/png)
2013-04-30 13:21 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-04-20 21:36:18 MSD
There are several serious bugs (bug #1352, bug #1865, bug #1866) that can be likely fixed by poppler update. Poppler 0.22.2 is already used in cooker and seems to be rather stable. However, we have several important programs that depends on poppler and should be rebuilt with its update.
Comment 1 Denis Silakov 2013-04-20 21:44:58 MSD
Advisory:

Updated poppler to 0.22.2 to avoid issues with printing from web browsers.

Complete list of changes:
http://cgit.freedesktop.org/poppler/poppler/plain/NEWS

Build lists:
(poppler)
https://abf.rosalinux.ru/build_lists/1056601
https://abf.rosalinux.ru/build_lists/1056600

(libreoffice - the builds are marked as 'Test failed', but its ok atm - the failed packages are libreoffice-l10n-sh and libreoffice-devel; they are not caused by poppler update, we should fix other packages to fix these issues):
https://abf.rosalinux.ru/build_lists/1073491
https://abf.rosalinux.ru/build_lists/1073490

(texlive)
https://abf.rosalinux.ru/build_lists/1056643
https://abf.rosalinux.ru/build_lists/1056642

(inkscape)
https://abf.rosalinux.ru/build_lists/1056621
https://abf.rosalinux.ru/build_lists/1056620

There are also several packages in contrib that depend on poppler; I've rebuilt them and they seem to work ok, I'll publish them if the updates above work fine.
Comment 2 Denis Silakov 2013-04-24 12:15:31 MSD
Hm, maybe it makes sense to test new libreoffice (bug #1946) and then rebuild it with new poppler.
Comment 3 Denis Silakov 2013-04-29 12:49:51 MSD
Oops, I was wrong, bug #1946 is an update for Marathon, while this one is for Desktop Fresh.

So feel free to test the build lists from this bug. The new poppler seems to really fix printing issues for some users.
Comment 4 Vladimir Potapov 2013-04-30 11:34:11 MSD
When I install libreoffice update (gui), I don't see package names.
I See only *** loading package "".... ***
Comment 5 Denis Silakov 2013-04-30 12:32:19 MSD
Hm, I don't see such an issue with rpmdrake - everythin is displayed correctly.

This is likely an issue with rpmdrake UI, maybe similar to the one discussed in bug #1499 - sometimes UI is just not refreshed properly. And I am quite sure that it is not caused by poppler update.
Comment 6 Vladimir Potapov 2013-04-30 13:08:23 MSD
I see this issue and Alexander Petryakov see this bug too.
This error present only for the office update. 
Any other packages show correct.
Comment 7 Vladimir Potapov 2013-04-30 13:21:08 MSD
Created attachment 1341 [details]
error
Comment 8 Vladimir Potapov 2013-04-30 13:21:50 MSD
(In reply to comment #7)
> Created attachment 1341 [details]
> error
And on x64 error present too.
Comment 9 Denis Silakov 2013-04-30 13:33:11 MSD
I'll rebuild libreoffice once more for experiment, though I still can't say where does the problem come from (it can appear due to wrong metadata in container, but in my system I don't see any problems...)

Libreoffice rebuild will take ~10 hours.
Comment 10 Vladimir Potapov 2013-04-30 13:44:54 MSD
Current LO work with new poppler. If the new office is build to have errors, I don't see, he is better than the old one.
Comment 11 Denis Silakov 2013-04-30 14:02:45 MSD
(In reply to comment #10)
> Current LO work with new poppler. If the new office is build to have errors,
> I don't see, he is better than the old one.

Yes, the only thing to check is to see if there are any regressions. Actually the 'libreoffice-pdfimport' can be affected by this update, this is the only component that uses poppler.
Comment 12 Vladimir Potapov 2013-04-30 17:47:04 MSD
On x64 inkscape don't work for me  - old and new version :-(
run-file-open-(crash|hang)
 
$ inkscape

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Убито
Comment 13 Vladimir Potapov 2013-04-30 18:17:05 MSD
http://bugs.rosalinux.ru/show_bug.cgi?id=1960
Comment 14 Denis Silakov 2013-05-06 14:01:22 MSD
(In reply to comment #12)
> On x64 inkscape don't work for me  - old and new version :-(

So you can't check it? It's a pity, maybe we have another tester with working inkscape?
Comment 15 Denis Silakov 2013-05-06 15:44:50 MSD
As for libreoffice, you can try these builds:

https://abf.rosalinux.ru/build_lists/1076814
https://abf.rosalinux.ru/build_lists/1076813
Comment 16 Alexander Petryakov 2013-05-06 21:00:31 MSD
The inkscape  works fine before and after update
Comment 17 Vladimir Potapov 2013-05-07 14:28:30 MSD
(In reply to comment #15)
> As for libreoffice, you can try these builds:
> 
> https://abf.rosalinux.ru/build_lists/1076814
> https://abf.rosalinux.ru/build_lists/1076813

Libreoffice draw don't execute (x64)
Comment 18 Vladimir Potapov 2013-05-07 17:28:41 MSD
(In reply to comment #17)
> (In reply to comment #15)
> > As for libreoffice, you can try these builds:
> > 
> > https://abf.rosalinux.ru/build_lists/1076814
> > https://abf.rosalinux.ru/build_lists/1076813
> 
> Libreoffice draw don't execute (x64)

Delete settings resolve this issue.
Comment 19 Vladimir Potapov 2013-05-07 17:31:06 MSD
poppler-0.22.2-1-rosa2012.1
libreoffice-3.6.2-2.2-rosa2012.1
texlive-20120810-3-rosa2012.1
inkscape-0.48.3.1-5-rosa2012.1
************************ Advisory *****************************
Updated poppler to 0.22.2 to avoid issues with printing from web browsers.
***************************************************************
QA Verified
Comment 20 Alexander Burmashev 2013-05-07 17:33:52 MSD
Can you please tell what buildlists were checked and should be published ?
Comment 21 Vladimir Potapov 2013-05-07 17:39:33 MSD
Were checked buildlists form first comment exclude LO, LO from c15